// CreateProductsTable.sql ////////////////////////////////////////
// This file is for use with MySQL databases.  
// Modification may be necessary for use with other databases.
// Created by Jeff Peters for fusebox.org January 25, 2005
//////////////////////////////////////////////////////////////////

CREATE TABLE products ( 
	productID         	bigint AUTO_INCREMENT NOT NULL,
	productName       	varchar(50) NULL,
	productDescription	varchar(255) NULL,
	imageFile         	varchar(255) NULL,
	price             	float NULL,
	PRIMARY KEY (productID)
	)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Autodiscerator', 'Made of the finest non-incendiary materials, this hard-to-find autodiscerator is easily mounted on any standard base with four (included) slot-activated rotary fasteners.', 'widget01.jpg', 10.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Truncated Spheroid', 'This blue, red, and cyan spheroid offers the serious topologist innumerable insights into the possibilities of tesseracts and folded space/time.  A bargain at twice the price.', 'widget02.jpg', 1500.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Remote Activated Framistat', 'Though almost so commonplace as to be passe, this indispensable device keeps our lives on track.  Order several in case one breaks.  Lifetime guarantee.', 'widget03.jpg', 37.73)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Reinforced Cast Bar Fitting', 'We scoured the four corners of the earth to find this casting, forged of finest rare-earth metals.  If used properly, can quadruple your mileage (though your car won''t be affected at all).', 'widget04.jpg', 120.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Autospork', 'Truly a one-of-a-kind find.  If you''ve never experienced the wonders of a spork, you''ve got to try the Autospork.  One try and you''ll never go back!', 'widget05.jpg', 49.95)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Bent Frame Bodger', 'Extruded from unobtainium, this piece makes a fine accent for any bodging job you''ve got lying about.', 'widget06.jpg', 13.95)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Universal Electronic Probe', 'Powered by micro-fuel-cell technology, this probe is ready to measure, well, whatever it was designed to measure.  Just stick it in there, press the green button, and read the results on the projected 3D display.', 'widget07.jpg', 149.95)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Exterior Waveform Excavator', 'A new star in our product line.  This ERE has amplitude controls with a degree of granularity unmatched on any competitor''s model.  Designed to be permanently maintenance-free in any outdoor environment.  Put this electronic marvel to work for you today.', 'widget08.jpg', 1995.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Dyson Sphere Construction Kit', 'Framework and plans to construct your own Dyson Sphere.  Materials not included.  Kit includes 3 different sizes of sphere: .001AU, .010AU, and .020AU.  We are not responsible for gravitational difficulties in getting your project off the ground.', 'widget09.jpg', 2.0E7)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Sure-Seal Transparent Cylinder', 'This high-tech vial is indispensable.  That is, we couldn''t figure out how to get the liquid out of it once it''s in there.  We''re not sure, but suggest that its use might be related to random drug testing.', 'widget10.jpg', 15.95)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Antique Hexaform Device', 'Of course, everyone has used a hexaform device since their earliest schooldays, but we''ll bet you''ve never seen an antique like this gem before!  Reportedly the work of Leonardo da Vinci, this one will make you long for days gone by.', 'widget11.jpg', 450.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Recursive Drive Gimbal', 'Combines the traditional functions of an interlocking gear drive and a multi-dimensional gimbal.  Primary function is to drive engineers crazy.', 'widget12.jpg', 4995.0)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Metering Block', 'Get around the conspiracy that''s been keeping your costs so high all these years!  This simple metering block installs in moments and triples efficiency.  Local results may vary.', 'widget13.jpg', 39.95)
GO
INSERT INTO products(productName, productDescription, imageFile, price) VALUES('Anti-Psychometric Cranial Array', 'Our highly-tuned array provides the best psychometric defense available today.  You could try building your own out of tinfoil, but we really don''t recommend it.', 'widget22.jpg', 1487.0)
GO
