<!--- 
<fusedoc fuse="qryNewProduct.cfm" version="2.0" language="ColdFusion">
  <responsibilities>
    I create a new record in the Products table
  </responsibilities>
  <properties>
    <history type="create" email="hal@halhelms.com" />
  </properties>
  <io>
    <in>
      <string name="productName" />
      <string name="productDescription" />
      <number name="price"  />
      <string name="imageFile" scope="" comments"This comes from image upload." />
    </in>
  </io>
</fusedoc>
 --->
 
<cfquery datasource="#request.dsn#">
  INSERT 
    INTO Products(
         productName,
         productDescription,
         price,
         imageFile
         )
  VALUES (
         <cfqueryparam value="#attributes.productName#">,
         <cfqueryparam value="#attributes.productDescription#">,
         <cfqueryparam value="#attributes.price#">,
         <cfqueryparam value="#imageFile#">
         )
</cfquery>